
textures/dmmq3dm5a/sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	qer_editorimage textures/dmmq3dm5a/ik_sky_night_back.tga
	q3map_lightimage textures/dmmq3dm5a/ik_sky_night_front.tga
	q3map_surfacelight 50
	skyparms - 512 -
	{
		map textures/dmmq3dm5a/ik_sky_night_back.tga
		tcMod scale 2 2
		tcMod scroll 0.01 0.01
		depthWrite
	}
	{
		map textures/dmmq3dm5a/ik_sky_night_front.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.02 0.02
	}
}

textures/dmmq3dm5a/dmm
{
	qer_editorimage textures/dmmq3dm5a/dmm.tga
	q3map_lightimage textures/dmmq3dm5a/dmm.tga
        q3map_surfacelight 100

	{
		map textures/dmmq3dm5a/dmm.tga
	        rgbGen wave square 0 1 0 .5
	}
	{
		map textures/dmmq3dm5a/stripe_green.jpg
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}
	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/dmmq3dm5a/s3tc
{
	qer_editorimage textures/dmmq3dm5a/s3tc.tga
	q3map_lightimage textures/dmmq3dm5a/s3tc.tga
        q3map_surfacelight 100

	{
		map textures/dmmq3dm5a/s3tc.tga
	        rgbGen wave square 0 1 0 .5
	}
	{
		map textures/dmmq3dm5a/stripe_yellow.jpg
		blendfunc add
	        rgbGen identity
		tcmod scroll 2 -2
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 2 2
	}
	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/dmmq3dm5a/bluemetal1b_chrome_illus
{
	qer_editorimage textures/base_wall/bluemetal1b.tga
	surfaceparm nonsolid
	{
		map textures/base_wall/chrome_env2.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/base_wall/bluemetal1b_shiny.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/dmmq3dm5a/leaves
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	qer_trans .2
	deformVertexes wave 30 sin 0 10 0 .5
	cull none
	qer_editorimage textures/dmmq3dm5a/leaves.tga
	{
		map textures/dmmq3dm5a/leaves.tga
                tcMod Scroll 0 -0.4
                tcMod turb .1 .25 0 -.1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
        }
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/dmmq3dm5a/grass
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	qer_trans .5
	deformVertexes wave 30 sin 0 2 0 .2
	cull none
	qer_editorimage textures/dmmq3dm5a/grass.tga
	{
		map textures/dmmq3dm5a/grass.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
        }
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
